-------------------------------------------------------------------------------
-- ElvUI Chat Tweaks By Lockslap (US, Bleeding Hollow)
-- <Borderline Amazing>, http://ba-guild.com
-- Based on functionality provided by Prat and/or Chatter
-------------------------------------------------------------------------------
local L = LibStub("AceLocale-3.0"):GetLocale("ElvUI_ChatTweaks", false)

-- ElvUI_ChatTweaks.lua
StaticPopupDialogs["ECT_RLUI"] = {
	text = L["One or more of the changes you have made require you to reload your UI."],
	button1 = ACCEPT,
	button2 = CANCEL,
	OnAccept = function() ReloadUI() end,
	timeout = 0,
	whileDead = 1,
	hideOnEscape = false,
}

-- Modules\AltNames.lua
StaticPopupDialogs['MENUITEM_SET_MAIN'] = {
	text = L["Who is %s's main?"],
	button1		= TEXT(ACCEPT),
	button2		= TEXT(CANCEL),
	hasEditBox = 1,
	maxLetters = 128,
	exclusive = 0,
	OnShow = function(frame)
		_G[frame:GetName().."EditBox"]:SetFocus()
	end,
	OnHide = function(frame)
		if ( _G[frame:GetName().."EditBox"]:IsShown() ) then
			_G[frame:GetName().."EditBox"]:SetFocus();
		end
		_G[frame:GetName().."EditBox"]:SetText("");
	end,
	OnAccept = function(popup,char)
		accept(popup,char,_G[popup:GetName().."EditBox"])
	end,
	EditBoxOnEnterPressed = function(popup,char)
		accept(popup,char,_G[popup:GetName().."EditBox"])
	end,
	EditBoxOnEscapePressed = function(frame) frame:GetParent():Hide() end,
	timeout = 0,
	whileDead = 1,
	hideOnEscape = 1
}

-- Modules\Datatext.lua
StaticPopupDialogs["ECT_ENABLE_ALL"] = {
	text = L["Are you sure you want enable all of the modules?"],
	button1 = L["Yes"],
	button2 = L["No"],
	OnAccept = function(self) ElvUI_ChatTweaks:EnableAllModules() end,
	timeout = 10,
	whileDead = true,
	hideOnEscape = true,
}

-- Modules\Datatext.lua
StaticPopupDialogs["ECT_DISABLE_ALL"] = {
	text = L["Are you sure you want to disable all of the modules?"],
	button1 = L["Yes"],
	button2 = L["No"],
	OnAccept = function(self) ElvUI_ChatTweaks:DisableAllModules() end,
	timeout = 10,
	whileDead = true,
	hideOnEscape = true,
}